﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
	<title>Script localization</title>
</head>
<body>
	<form id="form1" runat="server">
		<div>
			<asp:DropDownList ID="lstLanguage" runat="server" AutoPostBack="True">
				<asp:ListItem Value="en-US">English</asp:ListItem>
				<asp:ListItem Value="nl-NL">Dutch</asp:ListItem>
			</asp:DropDownList>
			<asp:ScriptManager ID="ScriptManager1" runat="server" EnableScriptLocalization="true">
				<Scripts>
					<asp:ScriptReference Path="~/Scripts/StringResources.js" ResourceUICultures="nl-NL" />
				</Scripts>
			</asp:ScriptManager>
		</div>
		<input id="txtNumber" type="text" />
		<input id="btnDo" type="button" value="Click me" />
	</form>
	<script type="text/javascript">
		var btnDo;
		var txtNumber;
		var minSize = 9;

		function pageLoad()
		{
			btnDo = $get('btnDo');
			txtNumber = $get('txtNumber');
			$addHandler(btnDo, 'click', btnDo_Click);
		}

		function btnDo_Click()
		{
			var enteredNumber = Number.parseLocale(txtNumber.value);
			if (isNaN(enteredNumber))
			{
				alert(invalidEntry);
			}
			else
			{
				if (enteredNumber <= minSize)
				{
					alert(String.format(errorMessage, minSize));
				}
				else
				{
					alert(goodChoice);
				}
			}
		}
	</script>
</body>
</html>
